Bug 225706 - Merge Review: dos2unix
Summary: Merge Review: dos2unix
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:29 UTC by Nobody's working on this, feel free to take it
Modified: 2008-09-24 14:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 14:57:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora-review+


Attachments (Terms of Use)
Install copy as symbolic links. (2.25 KB, patch)
2008-04-13 13:08 UTC, Patrice Dumas
no flags Details | Diff
add io.h in dos/win32, and unistd.h otherwise (469 bytes, patch)
2008-04-13 13:10 UTC, Patrice Dumas
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 18:29:44 UTC
Fedora Merge Review: dos2unix

http://cvs.fedora.redhat.com/viewcvs/devel/dos2unix/
Initial Owner: twaugh@redhat.com

Comment 1 Ruben Kerkhof 2007-02-03 17:35:51 UTC
* RPM name is OK
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* No downloadable source. Please give the full URL in the Source tag.
* Please use %{dist} in Release tag
* Preserve file timestamps in %install

Rpmlint is not silent:

Source RPM:
W: dos2unix invalid-license Freely distributable
W: dos2unix no-url-tag
W: dos2unix macro-in-%changelog description

rpmlint of dos2unix:
W: dos2unix invalid-license Freely distributable (you can use GPL)
W: dos2unix no-url-tag


Comment 2 Tim Waugh 2007-02-06 16:43:34 UTC
> * No downloadable source. Please give the full URL in the Source tag.

I don't think there is an upstream for this package any longer.

> W: dos2unix invalid-license Freely distributable (you can use GPL)

The COPYRIGHT file describes the license.  It is not GNU GPL.

New package: 3.1-28.fc7.

Comment 3 Patrice Dumas 2008-04-13 13:06:50 UTC
The copyright is a BSD (like FreeBSD BSD Variant (2 clause BSD) in
 http://fedoraproject.org/wiki/Licensing/BSD
with an additional sentence about it not being GPL.

When upstream is missing in such cases, I think the best is to become upstream,
like what was done for vixie-cron -> cronie. And I believe that the way to do
that is to go through:
http://fedoraproject.org/wiki/Infrastructure/ProjectHosting/RequestingNewProject

Comment 4 Patrice Dumas 2008-04-13 13:08:58 UTC
Created attachment 302266 [details]
Install copy as symbolic links.

Also add a patch for missing prototypes (unistd.h)

Comment 5 Patrice Dumas 2008-04-13 13:10:43 UTC
Created attachment 302267 [details]
add io.h in dos/win32, and unistd.h otherwise

Comment 6 Tim Waugh 2008-04-14 16:15:56 UTC
Thanks.  Built as dos2unix-3.1-32.fc9.

Comment 7 Ville Skyttä 2008-09-20 12:06:21 UTC
I think 3.1-33 looks fine, the only things I'd change is move "make clean" from %build to %prep, and add a comment about missing upstream somewhere in the top of the specfile.  But those are cosmetic, approved as is.

Feel free to close this bug when you've either done the above or decided not to bother with them.

Comment 8 Patrice Dumas 2008-09-20 17:34:47 UTC
I was ready to approve that package too, but then I had grand plans
about always having some kind of upstream and distro collaboration 
and so on, and I wanted to begin with that package, but I definitly 
don't have time for that...

Comment 9 Tim Waugh 2008-09-24 14:57:53 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.